<?php
/*
 * Created on February 19th 2009.
 * 
 * This script is under the MIT license:
 * 
 * Copyright (c) 2009 Michael Tyson <mike@tyson.id.au>
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy of 
 * this software and associated documentation files (the "Software"), to deal in the Software 
 * without restriction, including without limitation the rights to use, copy, modify, merge, 
 * publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons 
 * to whom the Software is furnished to do so, subject to the following conditions:
 * The above copyright notice and this permission notice shall be included in all copies 
 * or substantial portions of the Software.
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, 
 * INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A 
 * PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT 
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
 * CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE 
 * OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

define("CACHE_TIMEOUT", 30*60);

if ( (time() - filemtime("cache.dat")) < CACHE_TIMEOUT ) {
    $content = trim(file_get_contents("cache.dat"));
    if ( $content ) {
        header('Content-Type: text/xml');
        echo $content;
        exit;
    }
}

ob_start();
include("facebook-rss.php");
$content = ob_get_contents();
ob_end_flush();

$fd = fopen("cache.dat", "w");
fwrite($fd, $content);
fclose($fd);

?>
